@import url("font-awesome.css");

* {
    padding: 0;
    margin: 0;
    font-family: 'Microsoft YaHei';
}
/*rem响应式*/
html {
    font-size: 62.5%; /* 10÷16=62.5% */
}
@media only screen and (min-width: 360px){
    html {
        font-size: 87.5%!important; /* 14÷16=87.5% */
    }
}
@media only screen and (min-width: 481px){
    html {
        font-size: 94%!important; /* 15.04÷16=94% */
    }
}
@media only screen and (min-width: 561px){
    html {
        font-size: 109%!important; /* 17.44÷16=109% */
    }
}
@media only screen and (min-width: 641px){
    html {
        font-size: 125%!important; /* 20÷16=125% */
    }
}
/*分辨率宽超过640，1rem代表20px*/

@media only screen and (max-width: 640px){
    #canvas {
        display: none;
    }
    header nav.main-nav li {
        margin: 0 1rem !important;
    }
}

html, body {
    height: 100%;
    overflow: hidden;
    color: #666;
}

body{
	height: 100%;
	background: url(./images/backdrop.png) no-repeat center;
	background-size: 100% 100%;
}

canvas{
	display: block;
	width: 100%;
	height: 100%;
	/* margin-top: -4rem; */
    margin-top: 0;
	position: absolute;
	z-index: -1;
	transform: scale(0.7);
}

#beian {
    width: 100%;
    color: #fafafa;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.4);
    font-size: 12px;
    text-align: center;
    position: fixed;
    bottom: 20px;
}

a {
    color: #666;
    text-decoration: none;
}

a:hover, a:active, a:visited {
    color: #666;
}

.icon {
    text-decoration: none;
    position: relative;
    font-size: 2.5rem;
    color: rgba(255, 255, 255, 0.8);
    transition: color 0.3s ease;
    display: block;
    width: 3rem;
    height: 3rem;
    margin: auto;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.1);
}

.icon:hover {
    color: #fff;
    background: rgba(255, 255, 255, 0.2);
}

.icon:before {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-family: 'FontAwesome';
    font-style: normal;
    font-weight: normal;
    text-transform: none !important;
}

.container {
    width: 100%;
    height: 100%;
    position: relative;
    -webkit-animation: fadeIn 3s forwards;
    animation: fadeIn 3s forwards;
}

.backdrop {
    width: 825rem;
    height: 100%;
    background: #252353 url(images/galaxy.jpg) repeat-x bottom left;
    background-size: auto 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    -webkit-animation: backdrop 600s linear infinite;
    animation: backdrop 600s linear infinite;
}

.overlay {
    width: 100%;
    height: 100%;
    background-image: url(images/overlay.png), url(images/overlay.svg);
    background-repeat: repeat, no-repeat;
    background-position: top left, center center;
    background-size: auto, cover;
    background-attachment: fixed, fixed;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 5;
    opacity: 0;
    -webkit-animation: fadeIn 1s 1s forwards;
    animation: fadeIn 1s 1s forwards;
}

#canvas {
    width: 100%;
    height: 100%;
    background-color: transparent;
    position: absolute;
    z-index: 0;
}

.main {
    height: 100%;
    text-align: center;
    position: relative;
    z-index: 9;
}

.main:before {
    content: '';
    height: 100%;
    display: inline-block;
    vertical-align: middle;
    margin-right: 0;
}

header {
    width: 100%;
    text-align: center;
    vertical-align: middle;
    display: inline-block;
    cursor: default;
    opacity: 0;
    position: absolute;
    bottom: 24%;
    -webkit-animation: fadeIn 1s 1.75s forwards;
    animation: fadeIn 1s 1.75s forwards;
    z-index: 10;
}

header h1 {
    font-size: 4rem;
    font-weight: 900;
    line-height: 4rem;
}

header p {
    font-size: 1rem;
    margin: 0.75rem 0;
    opacity: 0.75;
}

header nav {
    margin: 2rem 0;
}

header nav.main-nav li {
    margin: 0 4rem;
    opacity: 0;
    display: inline-block;
    transition: transform 0.3s ease;
    -webkit-animation: nav-icons 0.5s ease-in-out forwards;
    animation: nav-icons 0.5s ease-in-out forwards;
}

header nav.main-nav li:hover {
    transform: scale(1.1);
}

header nav li:nth-child(1) {
    -webkit-animation-delay: 3.5s;
    animation-delay: 3.5s;
}

header nav li:nth-child(2) {
    -webkit-animation-delay: 4s;
    animation-delay: 4s;
}

header nav li:nth-child(3) {
    -webkit-animation-delay: 4.5s;
    animation-delay: 4.5s;
}

header nav a {
    border: 0;
    display: inline-block;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
}

header nav a:before {
    width: 3.8rem;
    height: 3.8rem;
    line-height: 3.8rem;
    font-size: 1.6rem;
    text-align: center;
    display: block;
    border: solid 1px #666;
    border-radius: 50%;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

header nav a:hover:before {
    width: 4rem;
    height: 4rem;
    line-height: 4rem;
    font-size: 1.8rem;
    background-color: rgba(255, 255, 255, 0.175);
}

header nav a:active:before {
    width: 3.6rem;
    height: 3.6rem;
    line-height: 3.6rem;
    font-size: 1.4rem;
    background-color: rgba(255, 255, 255, 0.35);
}

header nav a span {
    /* display: none; */
    color: #fafafa;
    font-size: 11px;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
    margin-top: 6px;
    display: block;
}

footer {
    width: 100%;
    height: 6rem;
    line-height: 8rem;
    text-align: center;
    cursor: default;
    background-image: -webkit-linear-gradient(top, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5) 75%);
    background-image: linear-gradient(top, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5) 75%);
    position: absolute;
    bottom: 0;
}

@-webkit-keyframes backdrop {
    0% {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
    100% {
        -webkit-transform: translate3d(-750rem, 0, 0);
        transform: translate3d(-750rem, 0, 0);
    }
}

@keyframes backdrop {
    0% {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
    100% {
        -webkit-transform: translate3d(-750rem, 0, 0);
        transform: translate3d(-750rem, 0, 0);
    }
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes overlay {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes overlay {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes nav-icons {
    0% {
        -webkit-transform: translate3d(0, 1em, 0);
        transform: translate3d(0, 1em, 0);
        opacity: 0;
    }

    100% {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

@keyframes nav-icons {
    0% {
        -moz-transform: translate3d(0, 1em, 0);
        -webkit-transform: translate3d(0, 1em, 0);
        -ms-transform: translate3d(0, 1em, 0);
        transform: translate3d(0, 1em, 0);
        opacity: 0;
    }

    100% {
        -moz-transform: translate3d(0, 0, 0);
        -webkit-transform: translate3d(0, 0, 0);
        -ms-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}
